import{S as Rd,i as Jd,s as zd,e as o,k as c,w as b,t as d,M as Yd,c as n,d as a,m as p,a as r,x as w,h as l,b as _,G as t,g as u,y as x,q as k,o as E,B as D,v as Gd,L as V}from"../../chunks/vendor-hf-doc-builder.js";import{T as Xd}from"../../chunks/Tip-hf-doc-builder.js";import{D as F}from"../../chunks/Docstring-hf-doc-builder.js";import{C as L}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Q}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as U}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{D as wi}from"../../chunks/Deprecated-hf-doc-builder.js";function Qd(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import list_datasets
list_datasets()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> list_datasets
<span class="hljs-meta">&gt;&gt;&gt; </span>list_datasets()
[<span class="hljs-string">&#x27;acronym_identification&#x27;</span>,
 <span class="hljs-string">&#x27;ade_corpus_v2&#x27;</span>,
 <span class="hljs-string">&#x27;adversarial_qa&#x27;</span>,
 <span class="hljs-string">&#x27;aeslc&#x27;</span>,
 <span class="hljs-string">&#x27;afrikaans_ner_corpus&#x27;</span>,
 <span class="hljs-string">&#x27;ag_news&#x27;</span>,
 ...
]`}}),{c(){i=o("p"),$=d("Example:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Example:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function Wd(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import load_dataset
ds = load_dataset('rotten_tomatoes', split='train')

data_files = {'train': 'train.csv', 'test': 'test.csv'}
ds = load_dataset('namespace/your_dataset_name', data_files=data_files)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>, split=<span class="hljs-string">&#x27;train&#x27;</span>)

<span class="hljs-comment"># Map data files to splits</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>data_files = {<span class="hljs-string">&#x27;train&#x27;</span>: <span class="hljs-string">&#x27;train.csv&#x27;</span>, <span class="hljs-string">&#x27;test&#x27;</span>: <span class="hljs-string">&#x27;test.csv&#x27;</span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;namespace/your_dataset_name&#x27;</span>, data_files=data_files)`}}),{c(){i=o("p"),$=d("Load a dataset from the Hugging Face Hub:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Load a dataset from the Hugging Face Hub:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function Kd(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import load_dataset
ds = load_dataset('csv', data_files='path/to/local/my_dataset.csv')

from datasets import load_dataset
ds = load_dataset('json', data_files='path/to/local/my_dataset.json')

from datasets import load_dataset
ds = load_dataset('path/to/local/loading_script/loading_script.py', split='train')`,highlighted:`<span class="hljs-comment"># Load a CSV file</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;csv&#x27;</span>, data_files=<span class="hljs-string">&#x27;path/to/local/my_dataset.csv&#x27;</span>)

<span class="hljs-comment"># Load a JSON file</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;json&#x27;</span>, data_files=<span class="hljs-string">&#x27;path/to/local/my_dataset.json&#x27;</span>)

<span class="hljs-comment"># Load from a local loading script</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;path/to/local/loading_script/loading_script.py&#x27;</span>, split=<span class="hljs-string">&#x27;train&#x27;</span>)`}}),{c(){i=o("p"),$=d("Load a local dataset:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Load a local dataset:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function Zd(j){let i,$,h,f,v,s,m,N;return m=new L({props:{code:`from datasets import load_dataset
ds = load_dataset('rotten_tomatoes', split='train', streaming=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>, split=<span class="hljs-string">&#x27;train&#x27;</span>, streaming=<span class="hljs-literal">True</span>)`}}),{c(){i=o("p"),$=d("Load an "),h=o("a"),f=d("IterableDataset"),v=d(":"),s=c(),b(m.$$.fragment),this.h()},l(y){i=n(y,"P",{});var S=r(i);$=l(S,"Load an "),h=n(S,"A",{href:!0});var O=r(h);f=l(O,"IterableDataset"),O.forEach(a),v=l(S,":"),S.forEach(a),s=p(y),w(m.$$.fragment,y),this.h()},h(){_(h,"href","/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.IterableDataset")},m(y,S){u(y,i,S),t(i,$),t(i,h),t(h,f),t(i,v),u(y,s,S),x(m,y,S),N=!0},p:V,i(y){N||(k(m.$$.fragment,y),N=!0)},o(y){E(m.$$.fragment,y),N=!1},d(y){y&&a(i),y&&a(s),D(m,y)}}}function el(j){let i,$,h,f,v,s,m,N;return m=new L({props:{code:`from datasets import load_dataset
ds = load_dataset('imagefolder', data_dir='/path/to/images', split='train')`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;imagefolder&#x27;</span>, data_dir=<span class="hljs-string">&#x27;/path/to/images&#x27;</span>, split=<span class="hljs-string">&#x27;train&#x27;</span>)`}}),{c(){i=o("p"),$=d("Load an image dataset with the "),h=o("code"),f=d("ImageFolder"),v=d(" dataset builder:"),s=c(),b(m.$$.fragment)},l(y){i=n(y,"P",{});var S=r(i);$=l(S,"Load an image dataset with the "),h=n(S,"CODE",{});var O=r(h);f=l(O,"ImageFolder"),O.forEach(a),v=l(S," dataset builder:"),S.forEach(a),s=p(y),w(m.$$.fragment,y)},m(y,S){u(y,i,S),t(i,$),t(i,h),t(h,f),t(i,v),u(y,s,S),x(m,y,S),N=!0},p:V,i(y){N||(k(m.$$.fragment,y),N=!0)},o(y){E(m.$$.fragment,y),N=!1},d(y){y&&a(i),y&&a(s),D(m,y)}}}function tl(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import load_from_disk
ds = load_from_disk('path/to/dataset/directory')`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_from_disk
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_from_disk(<span class="hljs-string">&#x27;path/to/dataset/directory&#x27;</span>)`}}),{c(){i=o("p"),$=d("Example:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Example:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function al(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import load_dataset_builder
ds_builder = load_dataset_builder('rotten_tomatoes')
ds_builder.info.features`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder = load_dataset_builder(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder.info.features
{<span class="hljs-string">&#x27;label&#x27;</span>: ClassLabel(num_classes=<span class="hljs-number">2</span>, names=[<span class="hljs-string">&#x27;neg&#x27;</span>, <span class="hljs-string">&#x27;pos&#x27;</span>], <span class="hljs-built_in">id</span>=<span class="hljs-literal">None</span>),
 <span class="hljs-string">&#x27;text&#x27;</span>: Value(dtype=<span class="hljs-string">&#x27;string&#x27;</span>, <span class="hljs-built_in">id</span>=<span class="hljs-literal">None</span>)}`}}),{c(){i=o("p"),$=d("Example:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Example:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function sl(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import get_dataset_config_names
get_dataset_config_names("glue")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> get_dataset_config_names
<span class="hljs-meta">&gt;&gt;&gt; </span>get_dataset_config_names(<span class="hljs-string">&quot;glue&quot;</span>)
[<span class="hljs-string">&#x27;cola&#x27;</span>,
 <span class="hljs-string">&#x27;sst2&#x27;</span>,
 <span class="hljs-string">&#x27;mrpc&#x27;</span>,
 <span class="hljs-string">&#x27;qqp&#x27;</span>,
 <span class="hljs-string">&#x27;stsb&#x27;</span>,
 <span class="hljs-string">&#x27;mnli&#x27;</span>,
 <span class="hljs-string">&#x27;mnli_mismatched&#x27;</span>,
 <span class="hljs-string">&#x27;mnli_matched&#x27;</span>,
 <span class="hljs-string">&#x27;qnli&#x27;</span>,
 <span class="hljs-string">&#x27;rte&#x27;</span>,
 <span class="hljs-string">&#x27;wnli&#x27;</span>,
 <span class="hljs-string">&#x27;ax&#x27;</span>]`}}),{c(){i=o("p"),$=d("Example:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Example:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function ol(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import get_dataset_infos
get_dataset_infos('rotten_tomatoes')`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> get_dataset_infos
<span class="hljs-meta">&gt;&gt;&gt; </span>get_dataset_infos(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
{<span class="hljs-string">&#x27;default&#x27;</span>: DatasetInfo(description=<span class="hljs-string">&quot;Movie Review Dataset.
 is a dataset of containing 5,331 positive and 5,331 negative processed
ences from Rotten Tomatoes movie reviews...), ...}</span>`}}),{c(){i=o("p"),$=d("Example:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Example:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function nl(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import get_dataset_split_names
get_dataset_split_names('rotten_tomatoes')`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> get_dataset_split_names
<span class="hljs-meta">&gt;&gt;&gt; </span>get_dataset_split_names(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
[<span class="hljs-string">&#x27;train&#x27;</span>, <span class="hljs-string">&#x27;validation&#x27;</span>, <span class="hljs-string">&#x27;test&#x27;</span>]`}}),{c(){i=o("p"),$=d("Example:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Example:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function rl(j){let i,$,h,f,v;return{c(){i=o("p"),$=d("Metrics is deprecated in \u{1F917} Datasets. To learn more about how to use metrics, take a look at the library \u{1F917} "),h=o("a"),f=d("Evaluate"),v=d("! In addition to metrics, you can find more tools for evaluating models and datasets."),this.h()},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Metrics is deprecated in \u{1F917} Datasets. To learn more about how to use metrics, take a look at the library \u{1F917} "),h=n(m,"A",{href:!0,rel:!0});var N=r(h);f=l(N,"Evaluate"),N.forEach(a),v=l(m,"! In addition to metrics, you can find more tools for evaluating models and datasets."),m.forEach(a),this.h()},h(){_(h,"href","https://huggingface.co/docs/evaluate/index"),_(h,"rel","nofollow")},m(s,m){u(s,i,m),t(i,$),t(i,h),t(h,f),t(i,v)},d(s){s&&a(i)}}}function il(j){let i,$,h,f,v,s,m;return{c(){i=o("p"),$=d("Use "),h=o("em"),f=d("evaluate.list_evaluation_modules"),v=d(" instead, from the new library \u{1F917} Evaluate: "),s=o("a"),m=d("https://huggingface.co/docs/evaluate"),this.h()},l(N){i=n(N,"P",{});var y=r(i);$=l(y,"Use "),h=n(y,"EM",{});var S=r(h);f=l(S,"evaluate.list_evaluation_modules"),S.forEach(a),v=l(y," instead, from the new library \u{1F917} Evaluate: "),s=n(y,"A",{href:!0,rel:!0});var O=r(s);m=l(O,"https://huggingface.co/docs/evaluate"),O.forEach(a),y.forEach(a),this.h()},h(){_(s,"href","https://huggingface.co/docs/evaluate"),_(s,"rel","nofollow")},m(N,y){u(N,i,y),t(i,$),t(i,h),t(h,f),t(i,v),t(i,s),t(s,m)},d(N){N&&a(i)}}}function dl(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import list_metrics
list_metrics()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> list_metrics
<span class="hljs-meta">&gt;&gt;&gt; </span>list_metrics()
[<span class="hljs-string">&#x27;accuracy&#x27;</span>,
 <span class="hljs-string">&#x27;bertscore&#x27;</span>,
 <span class="hljs-string">&#x27;bleu&#x27;</span>,
 <span class="hljs-string">&#x27;bleurt&#x27;</span>,
 <span class="hljs-string">&#x27;cer&#x27;</span>,
 <span class="hljs-string">&#x27;chrf&#x27;</span>,
 ...
]`}}),{c(){i=o("p"),$=d("Example:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Example:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function ll(j){let i,$,h,f,v,s,m;return{c(){i=o("p"),$=d("Use "),h=o("em"),f=d("evaluate.load"),v=d(" instead, from the new library \u{1F917} Evaluate: "),s=o("a"),m=d("https://huggingface.co/docs/evaluate"),this.h()},l(N){i=n(N,"P",{});var y=r(i);$=l(y,"Use "),h=n(y,"EM",{});var S=r(h);f=l(S,"evaluate.load"),S.forEach(a),v=l(y," instead, from the new library \u{1F917} Evaluate: "),s=n(y,"A",{href:!0,rel:!0});var O=r(s);m=l(O,"https://huggingface.co/docs/evaluate"),O.forEach(a),y.forEach(a),this.h()},h(){_(s,"href","https://huggingface.co/docs/evaluate"),_(s,"rel","nofollow")},m(N,y){u(N,i,y),t(i,$),t(i,h),t(h,f),t(i,v),t(i,s),t(s,m)},d(N){N&&a(i)}}}function cl(j){let i,$,h,f,v;return f=new L({props:{code:`from datasets import load_metric
accuracy = load_metric('accuracy')
accuracy.compute(references=[1, 0], predictions=[1, 1])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_metric
<span class="hljs-meta">&gt;&gt;&gt; </span>accuracy = load_metric(<span class="hljs-string">&#x27;accuracy&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>accuracy.compute(references=[<span class="hljs-number">1</span>, <span class="hljs-number">0</span>], predictions=[<span class="hljs-number">1</span>, <span class="hljs-number">1</span>])
{<span class="hljs-string">&#x27;accuracy&#x27;</span>: <span class="hljs-number">0.5</span>}`}}),{c(){i=o("p"),$=d("Example:"),h=c(),b(f.$$.fragment)},l(s){i=n(s,"P",{});var m=r(i);$=l(m,"Example:"),m.forEach(a),h=p(s),w(f.$$.fragment,s)},m(s,m){u(s,i,m),t(i,$),u(s,h,m),x(f,s,m),v=!0},p:V,i(s){v||(k(f.$$.fragment,s),v=!0)},o(s){E(f.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(f,s)}}}function pl(j){let i,$,h,f,v,s,m;return{c(){i=o("p"),$=d("Use "),h=o("em"),f=d("evaluate.inspect_evaluation_module"),v=d(" instead, from the new library \u{1F917} Evaluate instead: "),s=o("a"),m=d("https://huggingface.co/docs/evaluate"),this.h()},l(N){i=n(N,"P",{});var y=r(i);$=l(y,"Use "),h=n(y,"EM",{});var S=r(h);f=l(S,"evaluate.inspect_evaluation_module"),S.forEach(a),v=l(y," instead, from the new library \u{1F917} Evaluate instead: "),s=n(y,"A",{href:!0,rel:!0});var O=r(s);m=l(O,"https://huggingface.co/docs/evaluate"),O.forEach(a),y.forEach(a),this.h()},h(){_(s,"href","https://huggingface.co/docs/evaluate"),_(s,"rel","nofollow")},m(N,y){u(N,i,y),t(i,$),t(i,h),t(h,f),t(i,v),t(i,s),t(s,m)},d(N){N&&a(i)}}}function fl(j){let i,$,h,f,v,s,m,N,y,S,O,So,ws,W,ye,aa,Ke,qo,sa,Oo,xs,M,Ze,To,oa,Fo,Po,be,ks,C,et,Io,na,Ao,Lo,K,Ho,tt,Uo,Vo,Vt,Mo,Bo,Ro,ra,Jo,zo,at,ia,Yo,Go,da,Xo,Qo,la,Wo,Ko,ca,Zo,en,Z,B,st,tn,pa,an,sn,on,fa,nn,rn,ma,dn,ln,ot,cn,nt,pn,fn,mn,rt,ga,gn,hn,it,ha,ua,un,_n,dt,_a,vn,$n,va,yn,bn,$a,lt,wn,ya,xn,kn,En,ba,Dn,Nn,wa,jn,Cn,we,Sn,xe,qn,ke,On,Ee,Es,R,ct,Tn,J,Fn,Mt,Pn,In,Bt,An,Ln,xa,Hn,Un,Vn,De,Ds,T,pt,Mn,ka,Bn,Rn,ee,Jn,ft,zn,Yn,Rt,Gn,Xn,Qn,Ea,Wn,Kn,mt,Da,Zn,er,Na,tr,ar,ja,sr,or,Ne,Ns,z,gt,nr,Ca,rr,ir,je,js,Y,ht,dr,Sa,lr,cr,Ce,Cs,G,ut,pr,qa,fr,mr,Se,Ss,te,_t,gr,Oa,hr,qs,ae,qe,Ta,vt,ur,Fa,_r,Os,Oe,Ts,I,$t,vr,Pa,$r,yr,Te,br,Fe,Fs,A,yt,wr,bt,xr,Ia,kr,Er,Dr,Pe,Nr,Ie,Ps,X,wt,jr,Aa,Cr,Sr,Ae,Is,se,Le,La,xt,qr,Ha,Or,As,Jt,Tr,Ls,He,zt,Fr,Ua,Pr,Ir,Yt,Ar,Va,Lr,Hs,H,Hr,Ma,Ur,Vr,Ba,Mr,Br,Gt,Rr,Jr,Us,kt,Vs,oe,Ue,Ra,Et,zr,Ja,Yr,Ms,ne,Dt,Gr,za,Xr,Bs,re,Ve,Ya,Nt,Qr,Ga,Wr,Rs,ie,jt,Kr,Xa,Zr,Js,de,Me,Qa,Ct,ei,Wa,ti,zs,le,St,ai,Ka,si,Ys,ce,Be,Za,qt,oi,es,ni,Gs,pe,Ot,ri,ts,ii,Xs,fe,Re,as,Tt,di,ss,li,Qs,me,Ft,ci,os,pi,Ws,ge,Je,ns,Pt,fi,rs,mi,Ks,he,It,gi,is,hi,Zs,ue,ze,ds,At,ui,ls,_i,eo,_e,Lt,vi,cs,$i,to;return s=new Q({}),Ke=new Q({}),Ze=new F({props:{name:"datasets.list_datasets",anchor:"datasets.list_datasets",parameters:[{name:"with_community_datasets",val:" = True"},{name:"with_details",val:" = False"}],parametersDescription:[{anchor:"datasets.list_datasets.with_community_datasets",description:`<strong>with_community_datasets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Include the community provided datasets.`,name:"with_community_datasets"},{anchor:"datasets.list_datasets.with_details",description:`<strong>with_details</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Return the full details on the datasets instead of only the short name.`,name:"with_details"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/inspect.py#L44"}}),be=new U({props:{anchor:"datasets.list_datasets.example",$$slots:{default:[Qd]},$$scope:{ctx:j}}}),et=new F({props:{name:"datasets.load_dataset",anchor:"datasets.load_dataset",parameters:[{name:"path",val:": str"},{name:"name",val:": typing.Optional[str] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, typing.Sequence[str], typing.Mapping[str, typing.Union[str, typing.Sequence[str]]], NoneType] = None"},{name:"split",val:": typing.Union[str, datasets.splits.Split, NoneType] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"ignore_verifications",val:": bool = False"},{name:"keep_in_memory",val:": typing.Optional[bool] = None"},{name:"save_infos",val:": bool = False"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"task",val:": typing.Union[str, datasets.tasks.base.TaskTemplate, NoneType] = None"},{name:"streaming",val:": bool = False"},{name:"num_proc",val:": typing.Optional[int] = None"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.load_dataset.path",description:`<strong>path</strong> (<code>str</code>) &#x2014;
Path or name of the dataset.
Depending on <code>path</code>, the dataset builder that is used comes from a generic dataset script (JSON, CSV, Parquet, text etc.) or from the dataset script (a python file) inside the dataset directory.</p>
<p>For local datasets:</p>
<ul>
<li>if <code>path</code> is a local directory (containing data files only)
-&gt; load a generic dataset builder (csv, json, text etc.) based on the content of the directory
e.g. <code>&apos;./path/to/directory/with/my/csv/data&apos;</code>.</li>
<li>if <code>path</code> is a local dataset script or a directory containing a local dataset script (if the script has the same name as the directory)
-&gt; load the dataset builder from the dataset script
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code>.</li>
</ul>
<p>For datasets on the Hugging Face Hub (list all available datasets and ids with <a href="/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.list_datasets">datasets.list_datasets()</a>)</p>
<ul>
<li>if <code>path</code> is a dataset repository on the HF hub (containing data files only)
-&gt; load a generic dataset builder (csv, text etc.) based on the content of the repository
e.g. <code>&apos;username/dataset_name&apos;</code>, a dataset repository on the HF hub containing your data files.</li>
<li>if <code>path</code> is a dataset repository on the HF hub with a dataset script (if the script has the same name as the directory)
-&gt; load the dataset builder from the dataset script in the dataset repository
e.g. <code>glue</code>, <code>squad</code>, <code>&apos;username/dataset_name&apos;</code>, a dataset repository on the HF hub containing a dataset script <code>&apos;dataset_name.py&apos;</code>.</li>
</ul>`,name:"path"},{anchor:"datasets.load_dataset.name",description:`<strong>name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Defining the name of the dataset configuration.`,name:"name"},{anchor:"datasets.load_dataset.data_dir",description:`<strong>data_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Defining the <code>data_dir</code> of the dataset configuration. If specified for the generic builders (csv, text etc.) or the Hub datasets and <code>data_files</code> is <code>None</code>,
the behavior is equal to passing <code>os.path.join(data_dir, **)</code> as <code>data_files</code> to reference all the files in a directory.`,name:"data_dir"},{anchor:"datasets.load_dataset.data_files",description:`<strong>data_files</strong> (<code>str</code> or <code>Sequence</code> or <code>Mapping</code>, <em>optional</em>) &#x2014;
Path(s) to source data file(s).`,name:"data_files"},{anchor:"datasets.load_dataset.split",description:`<strong>split</strong> (<code>Split</code> or <code>str</code>) &#x2014;
Which split of the data to load.
If <code>None</code>, will return a <code>dict</code> with all splits (typically <code>datasets.Split.TRAIN</code> and <code>datasets.Split.TEST</code>).
If given, will return a single Dataset.
Splits can be combined and specified like in tensorflow-datasets.`,name:"split"},{anchor:"datasets.load_dataset.cache_dir",description:`<strong>cache_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Directory to read/write data. Defaults to <code>&quot;~/.cache/huggingface/datasets&quot;</code>.`,name:"cache_dir"},{anchor:"datasets.load_dataset.features",description:`<strong>features</strong> (<code>Features</code>, <em>optional</em>) &#x2014;
Set the features type to use for this dataset.`,name:"features"},{anchor:"datasets.load_dataset.download_config",description:`<strong>download_config</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, <em>optional</em>) &#x2014;
Specific download configuration parameters.`,name:"download_config"},{anchor:"datasets.load_dataset.download_mode",description:`<strong>download_mode</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, defaults to <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014;
Download/generate mode.`,name:"download_mode"},{anchor:"datasets.load_dataset.ignore_verifications",description:`<strong>ignore_verifications</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Ignore the verifications of the downloaded/processed dataset information (checksums/size/splits/&#x2026;).`,name:"ignore_verifications"},{anchor:"datasets.load_dataset.keep_in_memory",description:`<strong>keep_in_memory</strong> (<code>bool</code>, defaults to <code>None</code>) &#x2014;
Whether to copy the dataset in-memory. If <code>None</code>, the dataset
will not be copied in-memory unless explicitly enabled by setting <code>datasets.config.IN_MEMORY_MAX_SIZE</code> to
nonzero. See more details in the <a href="./cache#improve-performance">improve performance</a> section.`,name:"keep_in_memory"},{anchor:"datasets.load_dataset.save_infos",description:`<strong>save_infos</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Save the dataset information (checksums/size/splits/&#x2026;).`,name:"save_infos"},{anchor:"datasets.load_dataset.revision",description:`<strong>revision</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.Version">Version</a> or <code>str</code>, <em>optional</em>) &#x2014;
Version of the dataset script to load.
As datasets have their own git repository on the Datasets Hub, the default version &#x201C;main&#x201D; corresponds to their &#x201C;main&#x201D; branch.
You can specify a different version than the default &#x201C;main&#x201D; by using a commit SHA or a git tag of the dataset repository.`,name:"revision"},{anchor:"datasets.load_dataset.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, <em>optional</em>) &#x2014;
Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If <code>True</code>, or not specified, will get token from <code>&quot;~/.huggingface&quot;</code>.`,name:"use_auth_token"},{anchor:"datasets.load_dataset.task",description:`<strong>task</strong> (<code>str</code>) &#x2014;
The task to prepare the dataset for during training and evaluation. Casts the dataset&#x2019;s <a href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.Features">Features</a> to standardized column names and types as detailed in <code>datasets.tasks</code>.`,name:"task"},{anchor:"datasets.load_dataset.streaming",description:`<strong>streaming</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If set to <code>True</code>, don&#x2019;t download the data files. Instead, it streams the data progressively while
iterating on the dataset. An <a href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.IterableDataset">IterableDataset</a> or <a href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.IterableDatasetDict">IterableDatasetDict</a> is returned instead in this case.</p>
<p>Note that streaming works for datasets that use data formats that support being iterated over like txt, csv, jsonl for example.
Json files may be downloaded completely. Also streaming from remote zip or gzip files is supported but other compressed formats
like rar and xz are not yet supported. The tgz format doesn&#x2019;t allow streaming.`,name:"streaming"},{anchor:"datasets.load_dataset.num_proc",description:`<strong>num_proc</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Number of processes when downloading and generating the dataset locally.
Multiprocessing is disabled by default.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.7.0</p>
						
					</div>`,name:"num_proc"},{anchor:"datasets.load_dataset.*config_kwargs",description:`*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014;
Keyword arguments to be passed to the <code>BuilderConfig</code>
and used in the <a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a>.`,name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/load.py#L1533",returnDescription:`
<ul>
<li>if <code>split</code> is not <code>None</code>: the dataset requested,</li>
<li>if <code>split</code> is <code>None</code>, a <a
  href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.DatasetDict"
>DatasetDict</a> with each split.</li>
</ul>
<p>or <a
  href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.IterableDataset"
>IterableDataset</a> or <a
  href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.IterableDatasetDict"
>IterableDatasetDict</a>: if <code>streaming=True</code></p>
<ul>
<li>if <code>split</code> is not <code>None</code>, the dataset is requested</li>
<li>if <code>split</code> is <code>None</code>, a <code>~datasets.streaming.IterableDatasetDict</code> with each split.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.Dataset"
>Dataset</a> or <a
  href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.DatasetDict"
>DatasetDict</a></p>
`}}),we=new U({props:{anchor:"datasets.load_dataset.example",$$slots:{default:[Wd]},$$scope:{ctx:j}}}),xe=new U({props:{anchor:"datasets.load_dataset.example-2",$$slots:{default:[Kd]},$$scope:{ctx:j}}}),ke=new U({props:{anchor:"datasets.load_dataset.example-3",$$slots:{default:[Zd]},$$scope:{ctx:j}}}),Ee=new U({props:{anchor:"datasets.load_dataset.example-4",$$slots:{default:[el]},$$scope:{ctx:j}}}),ct=new F({props:{name:"datasets.load_from_disk",anchor:"datasets.load_from_disk",parameters:[{name:"dataset_path",val:": str"},{name:"fs",val:" = None"},{name:"keep_in_memory",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"datasets.load_from_disk.dataset_path",description:`<strong>dataset_path</strong> (<code>str</code>) &#x2014;
Path (e.g. <code>&quot;dataset/train&quot;</code>) or remote URI (e.g.
<code>&quot;s3://my-bucket/dataset/train&quot;</code>) of the <a href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.Dataset">Dataset</a> or <a href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.DatasetDict">DatasetDict</a> directory where the dataset will be
loaded from.`,name:"dataset_path"},{anchor:"datasets.load_from_disk.fs",description:`<strong>fs</strong> (<code>~filesystems.S3FileSystem</code> or <code>fsspec.spec.AbstractFileSystem</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Instance of the remote filesystem used to download the files from.`,name:"fs"},{anchor:"datasets.load_from_disk.keep_in_memory",description:`<strong>keep_in_memory</strong> (<code>bool</code>, defaults to <code>None</code>) &#x2014;
Whether to copy the dataset in-memory. If <code>None</code>, the dataset
will not be copied in-memory unless explicitly enabled by setting <code>datasets.config.IN_MEMORY_MAX_SIZE</code> to
nonzero. See more details in the <a href="./cache#improve-performance">improve performance</a> section.`,name:"keep_in_memory"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/load.py#L1779",returnDescription:`
<ul>
<li>If <code>dataset_path</code> is a path of a dataset directory: the dataset requested.</li>
<li>If <code>dataset_path</code> is a path of a dataset dict directory, a <a
  href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.DatasetDict"
>DatasetDict</a> with each split.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.Dataset"
>Dataset</a> or <a
  href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.DatasetDict"
>DatasetDict</a></p>
`}}),De=new U({props:{anchor:"datasets.load_from_disk.example",$$slots:{default:[tl]},$$scope:{ctx:j}}}),pt=new F({props:{name:"datasets.load_dataset_builder",anchor:"datasets.load_dataset_builder",parameters:[{name:"path",val:": str"},{name:"name",val:": typing.Optional[str] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, typing.Sequence[str], typing.Mapping[str, typing.Union[str, typing.Sequence[str]]], NoneType] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.load_dataset_builder.path",description:`<strong>path</strong> (<code>str</code>) &#x2014;
Path or name of the dataset.
Depending on <code>path</code>, the dataset builder that is used comes from a generic dataset script (JSON, CSV, Parquet, text etc.) or from the dataset script (a python file) inside the dataset directory.</p>
<p>For local datasets:</p>
<ul>
<li>if <code>path</code> is a local directory (containing data files only)
-&gt; load a generic dataset builder (csv, json, text etc.) based on the content of the directory
e.g. <code>&apos;./path/to/directory/with/my/csv/data&apos;</code>.</li>
<li>if <code>path</code> is a local dataset script or a directory containing a local dataset script (if the script has the same name as the directory)
-&gt; load the dataset builder from the dataset script
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code>.</li>
</ul>
<p>For datasets on the Hugging Face Hub (list all available datasets and ids with <a href="/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.list_datasets">datasets.list_datasets()</a>)</p>
<ul>
<li>if <code>path</code> is a dataset repository on the HF hub (containing data files only)
-&gt; load a generic dataset builder (csv, text etc.) based on the content of the repository
e.g. <code>&apos;username/dataset_name&apos;</code>, a dataset repository on the HF hub containing your data files.</li>
<li>if <code>path</code> is a dataset repository on the HF hub with a dataset script (if the script has the same name as the directory)
-&gt; load the dataset builder from the dataset script in the dataset repository
e.g. <code>glue</code>, <code>squad</code>, <code>&apos;username/dataset_name&apos;</code>, a dataset repository on the HF hub containing a dataset script <code>&apos;dataset_name.py&apos;</code>.</li>
</ul>`,name:"path"},{anchor:"datasets.load_dataset_builder.name",description:`<strong>name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Defining the name of the dataset configuration.`,name:"name"},{anchor:"datasets.load_dataset_builder.data_dir",description:`<strong>data_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Defining the <code>data_dir</code> of the dataset configuration. If specified for the generic builders (csv, text etc.) or the Hub datasets and <code>data_files</code> is <code>None</code>,
the behavior is equal to passing <code>os.path.join(data_dir, **)</code> as <code>data_files</code> to reference all the files in a directory.`,name:"data_dir"},{anchor:"datasets.load_dataset_builder.data_files",description:`<strong>data_files</strong> (<code>str</code> or <code>Sequence</code> or <code>Mapping</code>, <em>optional</em>) &#x2014;
Path(s) to source data file(s).`,name:"data_files"},{anchor:"datasets.load_dataset_builder.cache_dir",description:`<strong>cache_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Directory to read/write data. Defaults to <code>&quot;~/.cache/huggingface/datasets&quot;</code>.`,name:"cache_dir"},{anchor:"datasets.load_dataset_builder.features",description:`<strong>features</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.Features">Features</a>, <em>optional</em>) &#x2014;
Set the features type to use for this dataset.`,name:"features"},{anchor:"datasets.load_dataset_builder.download_config",description:`<strong>download_config</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, <em>optional</em>) &#x2014;
Specific download configuration parameters.`,name:"download_config"},{anchor:"datasets.load_dataset_builder.download_mode",description:`<strong>download_mode</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, defaults to <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014;
Download/generate mode.`,name:"download_mode"},{anchor:"datasets.load_dataset_builder.revision",description:`<strong>revision</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.Version">Version</a> or <code>str</code>, <em>optional</em>) &#x2014;
Version of the dataset script to load.
As datasets have their own git repository on the Datasets Hub, the default version &#x201C;main&#x201D; corresponds to their &#x201C;main&#x201D; branch.
You can specify a different version than the default &#x201C;main&#x201D; by using a commit SHA or a git tag of the dataset repository.`,name:"revision"},{anchor:"datasets.load_dataset_builder.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, <em>optional</em>) &#x2014;
Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If <code>True</code>, or not specified, will get token from <code>&quot;~/.huggingface&quot;</code>.`,name:"use_auth_token"},{anchor:"datasets.load_dataset_builder.*config_kwargs",description:`*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014;
Keyword arguments to be passed to the <a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a>
and used in the <a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a>.`,name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/load.py#L1400",returnDescription:`
<p><a
  href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DatasetBuilder"
>DatasetBuilder</a></p>
`}}),Ne=new U({props:{anchor:"datasets.load_dataset_builder.example",$$slots:{default:[al]},$$scope:{ctx:j}}}),gt=new F({props:{name:"datasets.get_dataset_config_names",anchor:"datasets.get_dataset_config_names",parameters:[{name:"path",val:": str"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"dynamic_modules_path",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, typing.List, typing.Dict, NoneType] = None"},{name:"**download_kwargs",val:""}],parametersDescription:[{anchor:"datasets.get_dataset_config_names.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code></li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <a href="/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.list_datasets">datasets.list_datasets()</a>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.get_dataset_config_names.revision",description:`<strong>revision</strong> (<code>Union[str, datasets.Version]</code>, <em>optional</em>) &#x2014;
If specified, the dataset module will be loaded from the datasets repository at this version.
By default:</p>
<ul>
<li>it is set to the local version of the lib.</li>
<li>it will also try to load it from the main branch if it&#x2019;s not available at the local version of the lib.
Specifying a version that is different from your local version of the lib might cause compatibility issues.</li>
</ul>`,name:"revision"},{anchor:"datasets.get_dataset_config_names.download_config",description:`<strong>download_config</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, <em>optional</em>) &#x2014;
Specific download configuration parameters.`,name:"download_config"},{anchor:"datasets.get_dataset_config_names.download_mode",description:`<strong>download_mode</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, defaults to <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014;
Download/generate mode.`,name:"download_mode"},{anchor:"datasets.get_dataset_config_names.dynamic_modules_path",description:`<strong>dynamic_modules_path</strong> (<code>str</code>, defaults to <code>~/.cache/huggingface/modules/datasets_modules</code>) &#x2014;
Optional path to the directory in which the dynamic modules are saved. It must have been initialized with <code>init_dynamic_modules</code>.
By default the datasets and metrics are stored inside the <code>datasets_modules</code> module.`,name:"dynamic_modules_path"},{anchor:"datasets.get_dataset_config_names.data_files",description:`<strong>data_files</strong> (<code>Union[Dict, List, str]</code>, <em>optional</em>) &#x2014;
Defining the data_files of the dataset configuration.`,name:"data_files"},{anchor:"datasets.get_dataset_config_names.*download_kwargs",description:`*<strong>*download_kwargs</strong> (additional keyword arguments) &#x2014;
Optional attributes for <a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a> which will override the attributes in <code>download_config</code> if supplied,
for example <code>use_auth_token</code>.`,name:"*download_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/inspect.py#L267"}}),je=new U({props:{anchor:"datasets.get_dataset_config_names.example",$$slots:{default:[sl]},$$scope:{ctx:j}}}),ht=new F({props:{name:"datasets.get_dataset_infos",anchor:"datasets.get_dataset_infos",parameters:[{name:"path",val:": str"},{name:"data_files",val:": typing.Union[str, typing.List, typing.Dict, NoneType] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.get_dataset_infos.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code></li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <a href="/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.list_datasets">datasets.list_datasets()</a>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or\`<code>&apos;openai/webtext&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.get_dataset_infos.revision",description:`<strong>revision</strong> (<code>Union[str, datasets.Version]</code>, <em>optional</em>) &#x2014;
If specified, the dataset module will be loaded from the datasets repository at this version.
By default:</p>
<ul>
<li>it is set to the local version of the lib.</li>
<li>it will also try to load it from the main branch if it&#x2019;s not available at the local version of the lib.
Specifying a version that is different from your local version of the lib might cause compatibility issues.</li>
</ul>`,name:"revision"},{anchor:"datasets.get_dataset_infos.download_config",description:`<strong>download_config</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, <em>optional</em>) &#x2014;
Specific download configuration parameters.`,name:"download_config"},{anchor:"datasets.get_dataset_infos.download_mode",description:`<strong>download_mode</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, defaults to <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014;
Download/generate mode.`,name:"download_mode"},{anchor:"datasets.get_dataset_infos.data_files",description:`<strong>data_files</strong> (<code>Union[Dict, List, str]</code>, <em>optional</em>) &#x2014;
Defining the data_files of the dataset configuration.`,name:"data_files"},{anchor:"datasets.get_dataset_infos.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, <em>optional</em>) &#x2014;
Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If <code>True</code>, or not specified, will get token from <code>&quot;~/.huggingface&quot;</code>.`,name:"use_auth_token"},{anchor:"datasets.get_dataset_infos.*config_kwargs",description:`*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014;
Optional attributes for builder class which will override the attributes if supplied.`,name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/inspect.py#L200"}}),Ce=new U({props:{anchor:"datasets.get_dataset_infos.example",$$slots:{default:[ol]},$$scope:{ctx:j}}}),ut=new F({props:{name:"datasets.get_dataset_split_names",anchor:"datasets.get_dataset_split_names",parameters:[{name:"path",val:": str"},{name:"config_name",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, typing.Sequence[str], typing.Mapping[str, typing.Union[str, typing.Sequence[str]]], NoneType] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.get_dataset_split_names.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code></li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <a href="/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.list_datasets">datasets.list_datasets()</a>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.get_dataset_split_names.config_name",description:`<strong>config_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Defining the name of the dataset configuration.`,name:"config_name"},{anchor:"datasets.get_dataset_split_names.data_files",description:`<strong>data_files</strong> (<code>str</code> or <code>Sequence</code> or <code>Mapping</code>, <em>optional</em>) &#x2014;
Path(s) to source data file(s).`,name:"data_files"},{anchor:"datasets.get_dataset_split_names.download_config",description:`<strong>download_config</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, <em>optional</em>) &#x2014;
Specific download configuration parameters.`,name:"download_config"},{anchor:"datasets.get_dataset_split_names.download_mode",description:`<strong>download_mode</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, defaults to <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014;
Download/generate mode.`,name:"download_mode"},{anchor:"datasets.get_dataset_split_names.revision",description:`<strong>revision</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.Version">Version</a> or <code>str</code>, <em>optional</em>) &#x2014;
Version of the dataset script to load.
As datasets have their own git repository on the Datasets Hub, the default version &#x201C;main&#x201D; corresponds to their &#x201C;main&#x201D; branch.
You can specify a different version than the default &#x201C;main&#x201D; by using a commit SHA or a git tag of the dataset repository.`,name:"revision"},{anchor:"datasets.get_dataset_split_names.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, <em>optional</em>) &#x2014;
Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If <code>True</code>, or not specified, will get token from <code>&quot;~/.huggingface&quot;</code>.`,name:"use_auth_token"},{anchor:"datasets.get_dataset_split_names.*config_kwargs",description:`*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014;
Optional attributes for builder class which will override the attributes if supplied.`,name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/inspect.py#L397"}}),Se=new U({props:{anchor:"datasets.get_dataset_split_names.example",$$slots:{default:[nl]},$$scope:{ctx:j}}}),_t=new F({props:{name:"datasets.inspect_dataset",anchor:"datasets.inspect_dataset",parameters:[{name:"path",val:": str"},{name:"local_path",val:": str"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"**download_kwargs",val:""}],parametersDescription:[{anchor:"datasets.inspect_dataset.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; Path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name
as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code>.</li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <a href="/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.list_datasets">list_datasets()</a>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code>.</li>
</ul>`,name:"path"},{anchor:"datasets.inspect_dataset.local_path",description:`<strong>local_path</strong> (<code>str</code>) &#x2014;
Path to the local folder to copy the dataset script to.`,name:"local_path"},{anchor:"datasets.inspect_dataset.download_config",description:`<strong>download_config</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, <em>optional</em>) &#x2014;
Specific download configuration parameters.`,name:"download_config"},{anchor:"datasets.inspect_dataset.*download_kwargs",description:`*<strong>*download_kwargs</strong> (additional keyword arguments) &#x2014;
Optional arguments for <a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a> which will override
the attributes of <code>download_config</code> if supplied.`,name:"*download_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/inspect.py#L115"}}),vt=new Q({}),Oe=new Xd({props:{warning:!0,$$slots:{default:[rl]},$$scope:{ctx:j}}}),$t=new F({props:{name:"datasets.list_metrics",anchor:"datasets.list_metrics",parameters:[{name:"with_community_metrics",val:" = True"},{name:"with_details",val:" = False"}],parametersDescription:[{anchor:"datasets.list_metrics.with_community_metrics",description:"<strong>with_community_metrics</strong> (<code>bool</code>, optional, default <code>True</code>) &#x2014; Include the community provided metrics.",name:"with_community_metrics"},{anchor:"datasets.list_metrics.with_details",description:"<strong>with_details</strong> (<code>bool</code>, optional, default <code>False</code>) &#x2014; Return the full details on the metrics instead of only the short name.",name:"with_details"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/inspect.py#L76"}}),Te=new wi({props:{version:"2.5.0",$$slots:{default:[il]},$$scope:{ctx:j}}}),Fe=new U({props:{anchor:"datasets.list_metrics.example",$$slots:{default:[dl]},$$scope:{ctx:j}}}),yt=new F({props:{name:"datasets.load_metric",anchor:"datasets.load_metric",parameters:[{name:"path",val:": str"},{name:"config_name",val:": typing.Optional[str] = None"},{name:"process_id",val:": int = 0"},{name:"num_process",val:": int = 1"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"experiment_id",val:": typing.Optional[str] = None"},{name:"keep_in_memory",val:": bool = False"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"**metric_init_kwargs",val:""}],parametersDescription:[{anchor:"datasets.load_metric.path",description:`<strong>path</strong> (<code>str</code>) &#x2014;
path to the metric processing script with the metric builder. Can be either:<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./metrics/rouge&apos;</code> or <code>&apos;./metrics/rogue/rouge.py&apos;</code></li>
<li>a metric identifier on the HuggingFace datasets repo (list all available metrics with <code>datasets.list_metrics()</code>)
e.g. <code>&apos;rouge&apos;</code> or <code>&apos;bleu&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.load_metric.config_name",description:"<strong>config_name</strong> (<code>str</code>, optional) &#x2014; selecting a configuration for the metric (e.g. the GLUE metric has a configuration for each subset)",name:"config_name"},{anchor:"datasets.load_metric.process_id",description:"<strong>process_id</strong> (<code>int</code>, optional) &#x2014; for distributed evaluation: id of the process",name:"process_id"},{anchor:"datasets.load_metric.num_process",description:"<strong>num_process</strong> (<code>int</code>, optional) &#x2014; for distributed evaluation: total number of processes",name:"num_process"},{anchor:"datasets.load_metric.cache_dir",description:"<strong>cache_dir</strong> (Optional str) &#x2014; path to store the temporary predictions and references (default to <em>~/.cache/huggingface/metrics/</em>)",name:"cache_dir"},{anchor:"datasets.load_metric.experiment_id",description:`<strong>experiment_id</strong> (<code>str</code>) &#x2014; A specific experiment id. This is used if several distributed evaluations share the same file system.
This is useful to compute metrics in distributed setups (in particular non-additive metrics like F1).`,name:"experiment_id"},{anchor:"datasets.load_metric.keep_in_memory",description:"<strong>keep_in_memory</strong> (bool) &#x2014; Whether to store the temporary results in memory (defaults to False)",name:"keep_in_memory"},{anchor:"datasets.load_metric.download_config",description:"<strong>download_config</strong> (Optional <code>datasets.DownloadConfig</code> &#x2014; specific download configuration parameters.",name:"download_config"},{anchor:"datasets.load_metric.download_mode",description:'<strong>download_mode</strong> (<a href="/docs/datasets/v2.8.0/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, default <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014; Download/generate mode.',name:"download_mode"},{anchor:"datasets.load_metric.revision",description:`<strong>revision</strong> (Optional <code>Union[str, datasets.Version]</code>) &#x2014; if specified, the module will be loaded from the datasets repository
at this version. By default, it is set to the local version of the lib. Specifying a version that is different from
your local version of the lib might cause compatibility issues.`,name:"revision"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/load.py#L1320",returnDescription:`
<p><em>datasets.Metric</em></p>
`}}),Pe=new wi({props:{version:"2.5.0",$$slots:{default:[ll]},$$scope:{ctx:j}}}),Ie=new U({props:{anchor:"datasets.load_metric.example",$$slots:{default:[cl]},$$scope:{ctx:j}}}),wt=new F({props:{name:"datasets.inspect_metric",anchor:"datasets.inspect_metric",parameters:[{name:"path",val:": str"},{name:"local_path",val:": str"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"**download_kwargs",val:""}],parametersDescription:[{anchor:"datasets.inspect_metric.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code></li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <code>datasets.list_datasets()</code>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.inspect_metric.local_path",description:"<strong>local_path</strong> (<code>str</code>) &#x2014; path to the local folder to copy the datset script to.",name:"local_path"},{anchor:"datasets.inspect_metric.download_config",description:"<strong>download_config</strong> (Optional <code>datasets.DownloadConfig</code>) &#x2014; specific download configuration parameters.",name:"download_config"},{anchor:"datasets.inspect_metric.*download_kwargs",description:"*<strong>*download_kwargs</strong> (additional keyword arguments) &#x2014; optional attributes for DownloadConfig() which will override the attributes in download_config if supplied.",name:"*download_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/inspect.py#L156"}}),Ae=new wi({props:{version:"2.5.0",$$slots:{default:[pl]},$$scope:{ctx:j}}}),xt=new Q({}),kt=new L({props:{code:'load_dataset("csv", data_dir="path/to/data/dir", sep="\\t")',highlighted:'load_dataset(<span class="hljs-string">&quot;csv&quot;</span>, data_dir=<span class="hljs-string">&quot;path/to/data/dir&quot;</span>, sep=<span class="hljs-string">&quot;\\t&quot;</span>)'}}),Et=new Q({}),Dt=new F({props:{name:"class datasets.packaged_modules.text.TextConfig",anchor:"datasets.packaged_modules.text.TextConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"encoding",val:": str = 'utf-8'"},{name:"errors",val:": typing.Optional[str] = None"},{name:"chunksize",val:": int = 10485760"},{name:"keep_linebreaks",val:": bool = False"},{name:"sample_by",val:": str = 'line'"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/packaged_modules/text/text.py#L17"}}),Nt=new Q({}),jt=new F({props:{name:"class datasets.packaged_modules.csv.CsvConfig",anchor:"datasets.packaged_modules.csv.CsvConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"sep",val:": str = ','"},{name:"delimiter",val:": typing.Optional[str] = None"},{name:"header",val:": typing.Union[int, typing.List[int], str, NoneType] = 'infer'"},{name:"names",val:": typing.Optional[typing.List[str]] = None"},{name:"column_names",val:": typing.Optional[typing.List[str]] = None"},{name:"index_col",val:": typing.Union[int, str, typing.List[int], typing.List[str], NoneType] = None"},{name:"usecols",val:": typing.Union[typing.List[int], typing.List[str], NoneType] = None"},{name:"prefix",val:": typing.Optional[str] = None"},{name:"mangle_dupe_cols",val:": bool = True"},{name:"engine",val:": typing.Optional[str] = None"},{name:"converters",val:": typing.Dict[typing.Union[int, str], typing.Callable[[typing.Any], typing.Any]] = None"},{name:"true_values",val:": typing.Optional[list] = None"},{name:"false_values",val:": typing.Optional[list] = None"},{name:"skipinitialspace",val:": bool = False"},{name:"skiprows",val:": typing.Union[int, typing.List[int], NoneType] = None"},{name:"nrows",val:": typing.Optional[int] = None"},{name:"na_values",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"keep_default_na",val:": bool = True"},{name:"na_filter",val:": bool = True"},{name:"verbose",val:": bool = False"},{name:"skip_blank_lines",val:": bool = True"},{name:"thousands",val:": typing.Optional[str] = None"},{name:"decimal",val:": str = '.'"},{name:"lineterminator",val:": typing.Optional[str] = None"},{name:"quotechar",val:`: str = '"'`},{name:"quoting",val:": int = 0"},{name:"escapechar",val:": typing.Optional[str] = None"},{name:"comment",val:": typing.Optional[str] = None"},{name:"encoding",val:": typing.Optional[str] = None"},{name:"dialect",val:": typing.Optional[str] = None"},{name:"error_bad_lines",val:": bool = True"},{name:"warn_bad_lines",val:": bool = True"},{name:"skipfooter",val:": int = 0"},{name:"doublequote",val:": bool = True"},{name:"memory_map",val:": bool = False"},{name:"float_precision",val:": typing.Optional[str] = None"},{name:"chunksize",val:": int = 10000"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"encoding_errors",val:": typing.Optional[str] = 'strict'"},{name:"on_bad_lines",val:": typing.Literal['error', 'warn', 'skip'] = 'error'"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/packaged_modules/csv/csv.py#L23"}}),Ct=new Q({}),St=new F({props:{name:"class datasets.packaged_modules.json.JsonConfig",anchor:"datasets.packaged_modules.json.JsonConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"field",val:": typing.Optional[str] = None"},{name:"use_threads",val:": bool = True"},{name:"block_size",val:": typing.Optional[int] = None"},{name:"chunksize",val:": int = 10485760"},{name:"newlines_in_values",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/packaged_modules/json/json.py#L38"}}),qt=new Q({}),Ot=new F({props:{name:"class datasets.packaged_modules.parquet.ParquetConfig",anchor:"datasets.packaged_modules.parquet.ParquetConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"batch_size",val:": int = 10000"},{name:"columns",val:": typing.Optional[typing.List[str]] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/packaged_modules/parquet/parquet.py#L16"}}),Tt=new Q({}),Ft=new F({props:{name:"class datasets.packaged_modules.sql.SqlConfig",anchor:"datasets.packaged_modules.sql.SqlConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"sql",val:": typing.Union[str, ForwardRef('sqlalchemy.sql.Selectable')] = None"},{name:"con",val:": typing.Union[str, ForwardRef('sqlalchemy.engine.Connection'), ForwardRef('sqlalchemy.engine.Engine'), ForwardRef('sqlite3.Connection')] = None"},{name:"index_col",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"coerce_float",val:": bool = True"},{name:"params",val:": typing.Union[typing.List, typing.Tuple, typing.Dict, NoneType] = None"},{name:"parse_dates",val:": typing.Union[typing.List, typing.Dict, NoneType] = None"},{name:"columns",val:": typing.Optional[typing.List[str]] = None"},{name:"chunksize",val:": typing.Optional[int] = 10000"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/packaged_modules/sql/sql.py#L24"}}),Pt=new Q({}),It=new F({props:{name:"class datasets.packaged_modules.imagefolder.ImageFolderConfig",anchor:"datasets.packaged_modules.imagefolder.ImageFolderConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"drop_labels",val:": bool = None"},{name:"drop_metadata",val:": bool = None"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/packaged_modules/imagefolder/imagefolder.py#L12"}}),At=new Q({}),Lt=new F({props:{name:"class datasets.packaged_modules.audiofolder.AudioFolderConfig",anchor:"datasets.packaged_modules.audiofolder.AudioFolderConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"drop_labels",val:": bool = None"},{name:"drop_metadata",val:": bool = None"}],source:"https://github.com/huggingface/datasets/blob/2.8.0/src/datasets/packaged_modules/audiofolder/audiofolder.py#L12"}}),{c(){i=o("meta"),$=c(),h=o("h1"),f=o("a"),v=o("span"),b(s.$$.fragment),m=c(),N=o("span"),y=d("Loading methods"),S=c(),O=o("p"),So=d("Methods for listing and loading datasets and metrics:"),ws=c(),W=o("h2"),ye=o("a"),aa=o("span"),b(Ke.$$.fragment),qo=c(),sa=o("span"),Oo=d("Datasets"),xs=c(),M=o("div"),b(Ze.$$.fragment),To=c(),oa=o("p"),Fo=d("List all the datasets scripts available on the Hugging Face Hub."),Po=c(),b(be.$$.fragment),ks=c(),C=o("div"),b(et.$$.fragment),Io=c(),na=o("p"),Ao=d("Load a dataset from the Hugging Face Hub, or a local dataset."),Lo=c(),K=o("p"),Ho=d("You can find the list of datasets on the "),tt=o("a"),Uo=d("Hub"),Vo=d(" or with "),Vt=o("a"),Mo=d("datasets.list_datasets()"),Bo=d("."),Ro=c(),ra=o("p"),Jo=d("A dataset is a directory that contains:"),zo=c(),at=o("ul"),ia=o("li"),Yo=d("some data files in generic formats (JSON, CSV, Parquet, text, etc.)."),Go=c(),da=o("li"),Xo=d("and optionally a dataset script, if it requires some code to read the data files. This is used to load any kind of formats or structures."),Qo=c(),la=o("p"),Wo=d("Note that dataset scripts can also download and read data files from anywhere - in case your data files already exist online."),Ko=c(),ca=o("p"),Zo=d("This function does the following under the hood:"),en=c(),Z=o("ol"),B=o("li"),st=o("p"),tn=d("Download and import in the library the dataset script from "),pa=o("code"),an=d("path"),sn=d(" if it\u2019s not already cached inside the library."),on=c(),fa=o("p"),nn=d("If the dataset has no dataset script, then a generic dataset script is imported instead (JSON, CSV, Parquet, text, etc.)"),rn=c(),ma=o("p"),dn=d(`Dataset scripts are small python scripts that define dataset builders. They define the citation, info and format of the dataset,
contain the path or URL to the original data files and the code to load examples from the original data files.`),ln=c(),ot=o("p"),cn=d("You can find the complete list of datasets in the Datasets "),nt=o("a"),pn=d("Hub"),fn=d("."),mn=c(),rt=o("li"),ga=o("p"),gn=d("Run the dataset script which will:"),hn=c(),it=o("ul"),ha=o("li"),ua=o("p"),un=d("Download the dataset file from the original URL (see the script) if it\u2019s not already available locally or cached."),_n=c(),dt=o("li"),_a=o("p"),vn=d("Process and cache the dataset in typed Arrow tables for caching."),$n=c(),va=o("p"),yn=d(`Arrow table are arbitrarily long, typed tables which can store nested objects and be mapped to numpy/pandas/python generic types.
They can be directly accessed from disk, loaded in RAM or even streamed over the web.`),bn=c(),$a=o("li"),lt=o("p"),wn=d("Return a dataset built from the requested splits in "),ya=o("code"),xn=d("split"),kn=d(" (default: all)."),En=c(),ba=o("p"),Dn=d(`It also allows to load a dataset from a local directory or a dataset repository on the Hugging Face Hub without dataset script.
In this case, it automatically loads all the data files from the directory or the dataset repository.`),Nn=c(),wa=o("p"),jn=d("Example:"),Cn=c(),b(we.$$.fragment),Sn=c(),b(xe.$$.fragment),qn=c(),b(ke.$$.fragment),On=c(),b(Ee.$$.fragment),Es=c(),R=o("div"),b(ct.$$.fragment),Tn=c(),J=o("p"),Fn=d("Loads a dataset that was previously saved using "),Mt=o("a"),Pn=d("save_to_disk()"),In=d(` from a dataset directory, or
from a filesystem using either `),Bt=o("a"),An=d("S3FileSystem"),Ln=d(` or any implementation of
`),xa=o("code"),Hn=d("fsspec.spec.AbstractFileSystem"),Un=d("."),Vn=c(),b(De.$$.fragment),Ds=c(),T=o("div"),b(pt.$$.fragment),Mn=c(),ka=o("p"),Bn=d(`Load a dataset builder from the Hugging Face Hub, or a local dataset. A dataset builder can be used to inspect general information that is required to build a dataset (cache directory, config, dataset info, etc.)
without downloading the dataset itself.`),Rn=c(),ee=o("p"),Jn=d("You can find the list of datasets on the "),ft=o("a"),zn=d("Hub"),Yn=d(" or with "),Rt=o("a"),Gn=d("datasets.list_datasets()"),Xn=d("."),Qn=c(),Ea=o("p"),Wn=d("A dataset is a directory that contains:"),Kn=c(),mt=o("ul"),Da=o("li"),Zn=d("some data files in generic formats (JSON, CSV, Parquet, text, etc.)"),er=c(),Na=o("li"),tr=d("and optionally a dataset script, if it requires some code to read the data files. This is used to load any kind of formats or structures."),ar=c(),ja=o("p"),sr=d("Note that dataset scripts can also download and read data files from anywhere - in case your data files already exist online."),or=c(),b(Ne.$$.fragment),Ns=c(),z=o("div"),b(gt.$$.fragment),nr=c(),Ca=o("p"),rr=d("Get the list of available config names for a particular dataset."),ir=c(),b(je.$$.fragment),js=c(),Y=o("div"),b(ht.$$.fragment),dr=c(),Sa=o("p"),lr=d("Get the meta information about a dataset, returned as a dict mapping config name to DatasetInfoDict."),cr=c(),b(Ce.$$.fragment),Cs=c(),G=o("div"),b(ut.$$.fragment),pr=c(),qa=o("p"),fr=d("Get the list of available splits for a particular config and dataset."),mr=c(),b(Se.$$.fragment),Ss=c(),te=o("div"),b(_t.$$.fragment),gr=c(),Oa=o("p"),hr=d("Allow inspection/modification of a dataset script by copying on local drive at local_path."),qs=c(),ae=o("h2"),qe=o("a"),Ta=o("span"),b(vt.$$.fragment),ur=c(),Fa=o("span"),_r=d("Metrics"),Os=c(),b(Oe.$$.fragment),Ts=c(),I=o("div"),b($t.$$.fragment),vr=c(),Pa=o("p"),$r=d("List all the metrics script available on the Hugging Face Hub."),yr=c(),b(Te.$$.fragment),br=c(),b(Fe.$$.fragment),Fs=c(),A=o("div"),b(yt.$$.fragment),wr=c(),bt=o("p"),xr=d("Load a "),Ia=o("em"),kr=d("datasets.Metric"),Er=d("."),Dr=c(),b(Pe.$$.fragment),Nr=c(),b(Ie.$$.fragment),Ps=c(),X=o("div"),b(wt.$$.fragment),jr=c(),Aa=o("p"),Cr=d("Allow inspection/modification of a metric script by copying it on local drive at local_path."),Sr=c(),b(Ae.$$.fragment),Is=c(),se=o("h2"),Le=o("a"),La=o("span"),b(xt.$$.fragment),qr=c(),Ha=o("span"),Or=d("From files"),As=c(),Jt=o("p"),Tr=d(`Configurations used to load data files.
They are used when loading local files or a dataset repository:`),Ls=c(),He=o("ul"),zt=o("li"),Fr=d("local files: "),Ua=o("code"),Pr=d('load_dataset("parquet", data_dir="path/to/data/dir")'),Ir=c(),Yt=o("li"),Ar=d("dataset repository: "),Va=o("code"),Lr=d('load_dataset("allenai/c4")'),Hs=c(),H=o("p"),Hr=d("You can pass arguments to "),Ma=o("code"),Ur=d("load_dataset"),Vr=d(` to configure data loading.
For example you can specify the `),Ba=o("code"),Mr=d("sep"),Br=d(" parameter to define the "),Gt=o("a"),Rr=d("CsvConfig"),Jr=d(" that is used to load the data:"),Us=c(),b(kt.$$.fragment),Vs=c(),oe=o("h3"),Ue=o("a"),Ra=o("span"),b(Et.$$.fragment),zr=c(),Ja=o("span"),Yr=d("Text"),Ms=c(),ne=o("div"),b(Dt.$$.fragment),Gr=c(),za=o("p"),Xr=d("BuilderConfig for text files."),Bs=c(),re=o("h3"),Ve=o("a"),Ya=o("span"),b(Nt.$$.fragment),Qr=c(),Ga=o("span"),Wr=d("CSV"),Rs=c(),ie=o("div"),b(jt.$$.fragment),Kr=c(),Xa=o("p"),Zr=d("BuilderConfig for CSV."),Js=c(),de=o("h3"),Me=o("a"),Qa=o("span"),b(Ct.$$.fragment),ei=c(),Wa=o("span"),ti=d("JSON"),zs=c(),le=o("div"),b(St.$$.fragment),ai=c(),Ka=o("p"),si=d("BuilderConfig for JSON."),Ys=c(),ce=o("h3"),Be=o("a"),Za=o("span"),b(qt.$$.fragment),oi=c(),es=o("span"),ni=d("Parquet"),Gs=c(),pe=o("div"),b(Ot.$$.fragment),ri=c(),ts=o("p"),ii=d("BuilderConfig for Parquet."),Xs=c(),fe=o("h3"),Re=o("a"),as=o("span"),b(Tt.$$.fragment),di=c(),ss=o("span"),li=d("SQL"),Qs=c(),me=o("div"),b(Ft.$$.fragment),ci=c(),os=o("p"),pi=d("BuilderConfig for SQL."),Ws=c(),ge=o("h3"),Je=o("a"),ns=o("span"),b(Pt.$$.fragment),fi=c(),rs=o("span"),mi=d("Images"),Ks=c(),he=o("div"),b(It.$$.fragment),gi=c(),is=o("p"),hi=d("BuilderConfig for ImageFolder."),Zs=c(),ue=o("h3"),ze=o("a"),ds=o("span"),b(At.$$.fragment),ui=c(),ls=o("span"),_i=d("Audio"),eo=c(),_e=o("div"),b(Lt.$$.fragment),vi=c(),cs=o("p"),$i=d("Builder Config for AudioFolder."),this.h()},l(e){const g=Yd('[data-svelte="svelte-1phssyn"]',document.head);i=n(g,"META",{name:!0,content:!0}),g.forEach(a),$=p(e),h=n(e,"H1",{class:!0});var Ht=r(h);f=n(Ht,"A",{id:!0,class:!0,href:!0});var ps=r(f);v=n(ps,"SPAN",{});var fs=r(v);w(s.$$.fragment,fs),fs.forEach(a),ps.forEach(a),m=p(Ht),N=n(Ht,"SPAN",{});var ms=r(N);y=l(ms,"Loading methods"),ms.forEach(a),Ht.forEach(a),S=p(e),O=n(e,"P",{});var gs=r(O);So=l(gs,"Methods for listing and loading datasets and metrics:"),gs.forEach(a),ws=p(e),W=n(e,"H2",{class:!0});var Ut=r(W);ye=n(Ut,"A",{id:!0,class:!0,href:!0});var hs=r(ye);aa=n(hs,"SPAN",{});var us=r(aa);w(Ke.$$.fragment,us),us.forEach(a),hs.forEach(a),qo=p(Ut),sa=n(Ut,"SPAN",{});var _s=r(sa);Oo=l(_s,"Datasets"),_s.forEach(a),Ut.forEach(a),xs=p(e),M=n(e,"DIV",{class:!0});var ve=r(M);w(Ze.$$.fragment,ve),To=p(ve),oa=n(ve,"P",{});var vs=r(oa);Fo=l(vs,"List all the datasets scripts available on the Hugging Face Hub."),vs.forEach(a),Po=p(ve),w(be.$$.fragment,ve),ve.forEach(a),ks=p(e),C=n(e,"DIV",{class:!0});var q=r(C);w(et.$$.fragment,q),Io=p(q),na=n(q,"P",{});var $s=r(na);Ao=l($s,"Load a dataset from the Hugging Face Hub, or a local dataset."),$s.forEach(a),Lo=p(q),K=n(q,"P",{});var $e=r(K);Ho=l($e,"You can find the list of datasets on the "),tt=n($e,"A",{href:!0,rel:!0});var ys=r(tt);Uo=l(ys,"Hub"),ys.forEach(a),Vo=l($e," or with "),Vt=n($e,"A",{href:!0});var bs=r(Vt);Mo=l(bs,"datasets.list_datasets()"),bs.forEach(a),Bo=l($e,"."),$e.forEach(a),Ro=p(q),ra=n(q,"P",{});var xi=r(ra);Jo=l(xi,"A dataset is a directory that contains:"),xi.forEach(a),zo=p(q),at=n(q,"UL",{});var ao=r(at);ia=n(ao,"LI",{});var ki=r(ia);Yo=l(ki,"some data files in generic formats (JSON, CSV, Parquet, text, etc.)."),ki.forEach(a),Go=p(ao),da=n(ao,"LI",{});var Ei=r(da);Xo=l(Ei,"and optionally a dataset script, if it requires some code to read the data files. This is used to load any kind of formats or structures."),Ei.forEach(a),ao.forEach(a),Qo=p(q),la=n(q,"P",{});var Di=r(la);Wo=l(Di,"Note that dataset scripts can also download and read data files from anywhere - in case your data files already exist online."),Di.forEach(a),Ko=p(q),ca=n(q,"P",{});var Ni=r(ca);Zo=l(Ni,"This function does the following under the hood:"),Ni.forEach(a),en=p(q),Z=n(q,"OL",{});var Xt=r(Z);B=n(Xt,"LI",{});var Ye=r(B);st=n(Ye,"P",{});var so=r(st);tn=l(so,"Download and import in the library the dataset script from "),pa=n(so,"CODE",{});var ji=r(pa);an=l(ji,"path"),ji.forEach(a),sn=l(so," if it\u2019s not already cached inside the library."),so.forEach(a),on=p(Ye),fa=n(Ye,"P",{});var Ci=r(fa);nn=l(Ci,"If the dataset has no dataset script, then a generic dataset script is imported instead (JSON, CSV, Parquet, text, etc.)"),Ci.forEach(a),rn=p(Ye),ma=n(Ye,"P",{});var Si=r(ma);dn=l(Si,`Dataset scripts are small python scripts that define dataset builders. They define the citation, info and format of the dataset,
contain the path or URL to the original data files and the code to load examples from the original data files.`),Si.forEach(a),ln=p(Ye),ot=n(Ye,"P",{});var oo=r(ot);cn=l(oo,"You can find the complete list of datasets in the Datasets "),nt=n(oo,"A",{href:!0,rel:!0});var qi=r(nt);pn=l(qi,"Hub"),qi.forEach(a),fn=l(oo,"."),oo.forEach(a),Ye.forEach(a),mn=p(Xt),rt=n(Xt,"LI",{});var no=r(rt);ga=n(no,"P",{});var Oi=r(ga);gn=l(Oi,"Run the dataset script which will:"),Oi.forEach(a),hn=p(no),it=n(no,"UL",{});var ro=r(it);ha=n(ro,"LI",{});var Ti=r(ha);ua=n(Ti,"P",{});var Fi=r(ua);un=l(Fi,"Download the dataset file from the original URL (see the script) if it\u2019s not already available locally or cached."),Fi.forEach(a),Ti.forEach(a),_n=p(ro),dt=n(ro,"LI",{});var io=r(dt);_a=n(io,"P",{});var Pi=r(_a);vn=l(Pi,"Process and cache the dataset in typed Arrow tables for caching."),Pi.forEach(a),$n=p(io),va=n(io,"P",{});var Ii=r(va);yn=l(Ii,`Arrow table are arbitrarily long, typed tables which can store nested objects and be mapped to numpy/pandas/python generic types.
They can be directly accessed from disk, loaded in RAM or even streamed over the web.`),Ii.forEach(a),io.forEach(a),ro.forEach(a),no.forEach(a),bn=p(Xt),$a=n(Xt,"LI",{});var Ai=r($a);lt=n(Ai,"P",{});var lo=r(lt);wn=l(lo,"Return a dataset built from the requested splits in "),ya=n(lo,"CODE",{});var Li=r(ya);xn=l(Li,"split"),Li.forEach(a),kn=l(lo," (default: all)."),lo.forEach(a),Ai.forEach(a),Xt.forEach(a),En=p(q),ba=n(q,"P",{});var Hi=r(ba);Dn=l(Hi,`It also allows to load a dataset from a local directory or a dataset repository on the Hugging Face Hub without dataset script.
In this case, it automatically loads all the data files from the directory or the dataset repository.`),Hi.forEach(a),Nn=p(q),wa=n(q,"P",{});var Ui=r(wa);jn=l(Ui,"Example:"),Ui.forEach(a),Cn=p(q),w(we.$$.fragment,q),Sn=p(q),w(xe.$$.fragment,q),qn=p(q),w(ke.$$.fragment,q),On=p(q),w(Ee.$$.fragment,q),q.forEach(a),Es=p(e),R=n(e,"DIV",{class:!0});var Qt=r(R);w(ct.$$.fragment,Qt),Tn=p(Qt),J=n(Qt,"P",{});var Ge=r(J);Fn=l(Ge,"Loads a dataset that was previously saved using "),Mt=n(Ge,"A",{href:!0});var Vi=r(Mt);Pn=l(Vi,"save_to_disk()"),Vi.forEach(a),In=l(Ge,` from a dataset directory, or
from a filesystem using either `),Bt=n(Ge,"A",{href:!0});var Mi=r(Bt);An=l(Mi,"S3FileSystem"),Mi.forEach(a),Ln=l(Ge,` or any implementation of
`),xa=n(Ge,"CODE",{});var Bi=r(xa);Hn=l(Bi,"fsspec.spec.AbstractFileSystem"),Bi.forEach(a),Un=l(Ge,"."),Ge.forEach(a),Vn=p(Qt),w(De.$$.fragment,Qt),Qt.forEach(a),Ds=p(e),T=n(e,"DIV",{class:!0});var P=r(T);w(pt.$$.fragment,P),Mn=p(P),ka=n(P,"P",{});var Ri=r(ka);Bn=l(Ri,`Load a dataset builder from the Hugging Face Hub, or a local dataset. A dataset builder can be used to inspect general information that is required to build a dataset (cache directory, config, dataset info, etc.)
without downloading the dataset itself.`),Ri.forEach(a),Rn=p(P),ee=n(P,"P",{});var Wt=r(ee);Jn=l(Wt,"You can find the list of datasets on the "),ft=n(Wt,"A",{href:!0,rel:!0});var Ji=r(ft);zn=l(Ji,"Hub"),Ji.forEach(a),Yn=l(Wt," or with "),Rt=n(Wt,"A",{href:!0});var zi=r(Rt);Gn=l(zi,"datasets.list_datasets()"),zi.forEach(a),Xn=l(Wt,"."),Wt.forEach(a),Qn=p(P),Ea=n(P,"P",{});var Yi=r(Ea);Wn=l(Yi,"A dataset is a directory that contains:"),Yi.forEach(a),Kn=p(P),mt=n(P,"UL",{});var co=r(mt);Da=n(co,"LI",{});var Gi=r(Da);Zn=l(Gi,"some data files in generic formats (JSON, CSV, Parquet, text, etc.)"),Gi.forEach(a),er=p(co),Na=n(co,"LI",{});var Xi=r(Na);tr=l(Xi,"and optionally a dataset script, if it requires some code to read the data files. This is used to load any kind of formats or structures."),Xi.forEach(a),co.forEach(a),ar=p(P),ja=n(P,"P",{});var Qi=r(ja);sr=l(Qi,"Note that dataset scripts can also download and read data files from anywhere - in case your data files already exist online."),Qi.forEach(a),or=p(P),w(Ne.$$.fragment,P),P.forEach(a),Ns=p(e),z=n(e,"DIV",{class:!0});var Kt=r(z);w(gt.$$.fragment,Kt),nr=p(Kt),Ca=n(Kt,"P",{});var Wi=r(Ca);rr=l(Wi,"Get the list of available config names for a particular dataset."),Wi.forEach(a),ir=p(Kt),w(je.$$.fragment,Kt),Kt.forEach(a),js=p(e),Y=n(e,"DIV",{class:!0});var Zt=r(Y);w(ht.$$.fragment,Zt),dr=p(Zt),Sa=n(Zt,"P",{});var Ki=r(Sa);lr=l(Ki,"Get the meta information about a dataset, returned as a dict mapping config name to DatasetInfoDict."),Ki.forEach(a),cr=p(Zt),w(Ce.$$.fragment,Zt),Zt.forEach(a),Cs=p(e),G=n(e,"DIV",{class:!0});var ea=r(G);w(ut.$$.fragment,ea),pr=p(ea),qa=n(ea,"P",{});var Zi=r(qa);fr=l(Zi,"Get the list of available splits for a particular config and dataset."),Zi.forEach(a),mr=p(ea),w(Se.$$.fragment,ea),ea.forEach(a),Ss=p(e),te=n(e,"DIV",{class:!0});var po=r(te);w(_t.$$.fragment,po),gr=p(po),Oa=n(po,"P",{});var ed=r(Oa);hr=l(ed,"Allow inspection/modification of a dataset script by copying on local drive at local_path."),ed.forEach(a),po.forEach(a),qs=p(e),ae=n(e,"H2",{class:!0});var fo=r(ae);qe=n(fo,"A",{id:!0,class:!0,href:!0});var td=r(qe);Ta=n(td,"SPAN",{});var ad=r(Ta);w(vt.$$.fragment,ad),ad.forEach(a),td.forEach(a),ur=p(fo),Fa=n(fo,"SPAN",{});var sd=r(Fa);_r=l(sd,"Metrics"),sd.forEach(a),fo.forEach(a),Os=p(e),w(Oe.$$.fragment,e),Ts=p(e),I=n(e,"DIV",{class:!0});var Xe=r(I);w($t.$$.fragment,Xe),vr=p(Xe),Pa=n(Xe,"P",{});var od=r(Pa);$r=l(od,"List all the metrics script available on the Hugging Face Hub."),od.forEach(a),yr=p(Xe),w(Te.$$.fragment,Xe),br=p(Xe),w(Fe.$$.fragment,Xe),Xe.forEach(a),Fs=p(e),A=n(e,"DIV",{class:!0});var Qe=r(A);w(yt.$$.fragment,Qe),wr=p(Qe),bt=n(Qe,"P",{});var mo=r(bt);xr=l(mo,"Load a "),Ia=n(mo,"EM",{});var nd=r(Ia);kr=l(nd,"datasets.Metric"),nd.forEach(a),Er=l(mo,"."),mo.forEach(a),Dr=p(Qe),w(Pe.$$.fragment,Qe),Nr=p(Qe),w(Ie.$$.fragment,Qe),Qe.forEach(a),Ps=p(e),X=n(e,"DIV",{class:!0});var ta=r(X);w(wt.$$.fragment,ta),jr=p(ta),Aa=n(ta,"P",{});var rd=r(Aa);Cr=l(rd,"Allow inspection/modification of a metric script by copying it on local drive at local_path."),rd.forEach(a),Sr=p(ta),w(Ae.$$.fragment,ta),ta.forEach(a),Is=p(e),se=n(e,"H2",{class:!0});var go=r(se);Le=n(go,"A",{id:!0,class:!0,href:!0});var id=r(Le);La=n(id,"SPAN",{});var dd=r(La);w(xt.$$.fragment,dd),dd.forEach(a),id.forEach(a),qr=p(go),Ha=n(go,"SPAN",{});var ld=r(Ha);Or=l(ld,"From files"),ld.forEach(a),go.forEach(a),As=p(e),Jt=n(e,"P",{});var cd=r(Jt);Tr=l(cd,`Configurations used to load data files.
They are used when loading local files or a dataset repository:`),cd.forEach(a),Ls=p(e),He=n(e,"UL",{});var ho=r(He);zt=n(ho,"LI",{});var yi=r(zt);Fr=l(yi,"local files: "),Ua=n(yi,"CODE",{});var pd=r(Ua);Pr=l(pd,'load_dataset("parquet", data_dir="path/to/data/dir")'),pd.forEach(a),yi.forEach(a),Ir=p(ho),Yt=n(ho,"LI",{});var bi=r(Yt);Ar=l(bi,"dataset repository: "),Va=n(bi,"CODE",{});var fd=r(Va);Lr=l(fd,'load_dataset("allenai/c4")'),fd.forEach(a),bi.forEach(a),ho.forEach(a),Hs=p(e),H=n(e,"P",{});var We=r(H);Hr=l(We,"You can pass arguments to "),Ma=n(We,"CODE",{});var md=r(Ma);Ur=l(md,"load_dataset"),md.forEach(a),Vr=l(We,` to configure data loading.
For example you can specify the `),Ba=n(We,"CODE",{});var gd=r(Ba);Mr=l(gd,"sep"),gd.forEach(a),Br=l(We," parameter to define the "),Gt=n(We,"A",{href:!0});var hd=r(Gt);Rr=l(hd,"CsvConfig"),hd.forEach(a),Jr=l(We," that is used to load the data:"),We.forEach(a),Us=p(e),w(kt.$$.fragment,e),Vs=p(e),oe=n(e,"H3",{class:!0});var uo=r(oe);Ue=n(uo,"A",{id:!0,class:!0,href:!0});var ud=r(Ue);Ra=n(ud,"SPAN",{});var _d=r(Ra);w(Et.$$.fragment,_d),_d.forEach(a),ud.forEach(a),zr=p(uo),Ja=n(uo,"SPAN",{});var vd=r(Ja);Yr=l(vd,"Text"),vd.forEach(a),uo.forEach(a),Ms=p(e),ne=n(e,"DIV",{class:!0});var _o=r(ne);w(Dt.$$.fragment,_o),Gr=p(_o),za=n(_o,"P",{});var $d=r(za);Xr=l($d,"BuilderConfig for text files."),$d.forEach(a),_o.forEach(a),Bs=p(e),re=n(e,"H3",{class:!0});var vo=r(re);Ve=n(vo,"A",{id:!0,class:!0,href:!0});var yd=r(Ve);Ya=n(yd,"SPAN",{});var bd=r(Ya);w(Nt.$$.fragment,bd),bd.forEach(a),yd.forEach(a),Qr=p(vo),Ga=n(vo,"SPAN",{});var wd=r(Ga);Wr=l(wd,"CSV"),wd.forEach(a),vo.forEach(a),Rs=p(e),ie=n(e,"DIV",{class:!0});var $o=r(ie);w(jt.$$.fragment,$o),Kr=p($o),Xa=n($o,"P",{});var xd=r(Xa);Zr=l(xd,"BuilderConfig for CSV."),xd.forEach(a),$o.forEach(a),Js=p(e),de=n(e,"H3",{class:!0});var yo=r(de);Me=n(yo,"A",{id:!0,class:!0,href:!0});var kd=r(Me);Qa=n(kd,"SPAN",{});var Ed=r(Qa);w(Ct.$$.fragment,Ed),Ed.forEach(a),kd.forEach(a),ei=p(yo),Wa=n(yo,"SPAN",{});var Dd=r(Wa);ti=l(Dd,"JSON"),Dd.forEach(a),yo.forEach(a),zs=p(e),le=n(e,"DIV",{class:!0});var bo=r(le);w(St.$$.fragment,bo),ai=p(bo),Ka=n(bo,"P",{});var Nd=r(Ka);si=l(Nd,"BuilderConfig for JSON."),Nd.forEach(a),bo.forEach(a),Ys=p(e),ce=n(e,"H3",{class:!0});var wo=r(ce);Be=n(wo,"A",{id:!0,class:!0,href:!0});var jd=r(Be);Za=n(jd,"SPAN",{});var Cd=r(Za);w(qt.$$.fragment,Cd),Cd.forEach(a),jd.forEach(a),oi=p(wo),es=n(wo,"SPAN",{});var Sd=r(es);ni=l(Sd,"Parquet"),Sd.forEach(a),wo.forEach(a),Gs=p(e),pe=n(e,"DIV",{class:!0});var xo=r(pe);w(Ot.$$.fragment,xo),ri=p(xo),ts=n(xo,"P",{});var qd=r(ts);ii=l(qd,"BuilderConfig for Parquet."),qd.forEach(a),xo.forEach(a),Xs=p(e),fe=n(e,"H3",{class:!0});var ko=r(fe);Re=n(ko,"A",{id:!0,class:!0,href:!0});var Od=r(Re);as=n(Od,"SPAN",{});var Td=r(as);w(Tt.$$.fragment,Td),Td.forEach(a),Od.forEach(a),di=p(ko),ss=n(ko,"SPAN",{});var Fd=r(ss);li=l(Fd,"SQL"),Fd.forEach(a),ko.forEach(a),Qs=p(e),me=n(e,"DIV",{class:!0});var Eo=r(me);w(Ft.$$.fragment,Eo),ci=p(Eo),os=n(Eo,"P",{});var Pd=r(os);pi=l(Pd,"BuilderConfig for SQL."),Pd.forEach(a),Eo.forEach(a),Ws=p(e),ge=n(e,"H3",{class:!0});var Do=r(ge);Je=n(Do,"A",{id:!0,class:!0,href:!0});var Id=r(Je);ns=n(Id,"SPAN",{});var Ad=r(ns);w(Pt.$$.fragment,Ad),Ad.forEach(a),Id.forEach(a),fi=p(Do),rs=n(Do,"SPAN",{});var Ld=r(rs);mi=l(Ld,"Images"),Ld.forEach(a),Do.forEach(a),Ks=p(e),he=n(e,"DIV",{class:!0});var No=r(he);w(It.$$.fragment,No),gi=p(No),is=n(No,"P",{});var Hd=r(is);hi=l(Hd,"BuilderConfig for ImageFolder."),Hd.forEach(a),No.forEach(a),Zs=p(e),ue=n(e,"H3",{class:!0});var jo=r(ue);ze=n(jo,"A",{id:!0,class:!0,href:!0});var Ud=r(ze);ds=n(Ud,"SPAN",{});var Vd=r(ds);w(At.$$.fragment,Vd),Vd.forEach(a),Ud.forEach(a),ui=p(jo),ls=n(jo,"SPAN",{});var Md=r(ls);_i=l(Md,"Audio"),Md.forEach(a),jo.forEach(a),eo=p(e),_e=n(e,"DIV",{class:!0});var Co=r(_e);w(Lt.$$.fragment,Co),vi=p(Co),cs=n(Co,"P",{});var Bd=r(cs);$i=l(Bd,"Builder Config for AudioFolder."),Bd.forEach(a),Co.forEach(a),this.h()},h(){_(i,"name","hf:doc:metadata"),_(i,"content",JSON.stringify(ml)),_(f,"id","loading-methods"),_(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(f,"href","#loading-methods"),_(h,"class","relative group"),_(ye,"id","datasets.list_datasets"),_(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(ye,"href","#datasets.list_datasets"),_(W,"class","relative group"),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(tt,"href","https://huggingface.co/datasets"),_(tt,"rel","nofollow"),_(Vt,"href","/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.list_datasets"),_(nt,"href","https://huggingface.co/datasets"),_(nt,"rel","nofollow"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Mt,"href","/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.Dataset.save_to_disk"),_(Bt,"href","/docs/datasets/v2.8.0/en/package_reference/main_classes#datasets.filesystems.S3FileSystem"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ft,"href","https://huggingface.co/datasets"),_(ft,"rel","nofollow"),_(Rt,"href","/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.list_datasets"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(qe,"id","datasets.list_metrics"),_(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(qe,"href","#datasets.list_metrics"),_(ae,"class","relative group"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Le,"id","from-files"),_(Le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Le,"href","#from-files"),_(se,"class","relative group"),_(Gt,"href","/docs/datasets/v2.8.0/en/package_reference/loading_methods#datasets.packaged_modules.csv.CsvConfig"),_(Ue,"id","datasets.packaged_modules.text.TextConfig"),_(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Ue,"href","#datasets.packaged_modules.text.TextConfig"),_(oe,"class","relative group"),_(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Ve,"id","datasets.packaged_modules.csv.CsvConfig"),_(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Ve,"href","#datasets.packaged_modules.csv.CsvConfig"),_(re,"class","relative group"),_(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Me,"id","datasets.packaged_modules.json.JsonConfig"),_(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Me,"href","#datasets.packaged_modules.json.JsonConfig"),_(de,"class","relative group"),_(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Be,"id","datasets.packaged_modules.parquet.ParquetConfig"),_(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Be,"href","#datasets.packaged_modules.parquet.ParquetConfig"),_(ce,"class","relative group"),_(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Re,"id","datasets.packaged_modules.sql.SqlConfig"),_(Re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Re,"href","#datasets.packaged_modules.sql.SqlConfig"),_(fe,"class","relative group"),_(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Je,"id","datasets.packaged_modules.imagefolder.ImageFolderConfig"),_(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Je,"href","#datasets.packaged_modules.imagefolder.ImageFolderConfig"),_(ge,"class","relative group"),_(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ze,"id","datasets.packaged_modules.audiofolder.AudioFolderConfig"),_(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(ze,"href","#datasets.packaged_modules.audiofolder.AudioFolderConfig"),_(ue,"class","relative group"),_(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,g){t(document.head,i),u(e,$,g),u(e,h,g),t(h,f),t(f,v),x(s,v,null),t(h,m),t(h,N),t(N,y),u(e,S,g),u(e,O,g),t(O,So),u(e,ws,g),u(e,W,g),t(W,ye),t(ye,aa),x(Ke,aa,null),t(W,qo),t(W,sa),t(sa,Oo),u(e,xs,g),u(e,M,g),x(Ze,M,null),t(M,To),t(M,oa),t(oa,Fo),t(M,Po),x(be,M,null),u(e,ks,g),u(e,C,g),x(et,C,null),t(C,Io),t(C,na),t(na,Ao),t(C,Lo),t(C,K),t(K,Ho),t(K,tt),t(tt,Uo),t(K,Vo),t(K,Vt),t(Vt,Mo),t(K,Bo),t(C,Ro),t(C,ra),t(ra,Jo),t(C,zo),t(C,at),t(at,ia),t(ia,Yo),t(at,Go),t(at,da),t(da,Xo),t(C,Qo),t(C,la),t(la,Wo),t(C,Ko),t(C,ca),t(ca,Zo),t(C,en),t(C,Z),t(Z,B),t(B,st),t(st,tn),t(st,pa),t(pa,an),t(st,sn),t(B,on),t(B,fa),t(fa,nn),t(B,rn),t(B,ma),t(ma,dn),t(B,ln),t(B,ot),t(ot,cn),t(ot,nt),t(nt,pn),t(ot,fn),t(Z,mn),t(Z,rt),t(rt,ga),t(ga,gn),t(rt,hn),t(rt,it),t(it,ha),t(ha,ua),t(ua,un),t(it,_n),t(it,dt),t(dt,_a),t(_a,vn),t(dt,$n),t(dt,va),t(va,yn),t(Z,bn),t(Z,$a),t($a,lt),t(lt,wn),t(lt,ya),t(ya,xn),t(lt,kn),t(C,En),t(C,ba),t(ba,Dn),t(C,Nn),t(C,wa),t(wa,jn),t(C,Cn),x(we,C,null),t(C,Sn),x(xe,C,null),t(C,qn),x(ke,C,null),t(C,On),x(Ee,C,null),u(e,Es,g),u(e,R,g),x(ct,R,null),t(R,Tn),t(R,J),t(J,Fn),t(J,Mt),t(Mt,Pn),t(J,In),t(J,Bt),t(Bt,An),t(J,Ln),t(J,xa),t(xa,Hn),t(J,Un),t(R,Vn),x(De,R,null),u(e,Ds,g),u(e,T,g),x(pt,T,null),t(T,Mn),t(T,ka),t(ka,Bn),t(T,Rn),t(T,ee),t(ee,Jn),t(ee,ft),t(ft,zn),t(ee,Yn),t(ee,Rt),t(Rt,Gn),t(ee,Xn),t(T,Qn),t(T,Ea),t(Ea,Wn),t(T,Kn),t(T,mt),t(mt,Da),t(Da,Zn),t(mt,er),t(mt,Na),t(Na,tr),t(T,ar),t(T,ja),t(ja,sr),t(T,or),x(Ne,T,null),u(e,Ns,g),u(e,z,g),x(gt,z,null),t(z,nr),t(z,Ca),t(Ca,rr),t(z,ir),x(je,z,null),u(e,js,g),u(e,Y,g),x(ht,Y,null),t(Y,dr),t(Y,Sa),t(Sa,lr),t(Y,cr),x(Ce,Y,null),u(e,Cs,g),u(e,G,g),x(ut,G,null),t(G,pr),t(G,qa),t(qa,fr),t(G,mr),x(Se,G,null),u(e,Ss,g),u(e,te,g),x(_t,te,null),t(te,gr),t(te,Oa),t(Oa,hr),u(e,qs,g),u(e,ae,g),t(ae,qe),t(qe,Ta),x(vt,Ta,null),t(ae,ur),t(ae,Fa),t(Fa,_r),u(e,Os,g),x(Oe,e,g),u(e,Ts,g),u(e,I,g),x($t,I,null),t(I,vr),t(I,Pa),t(Pa,$r),t(I,yr),x(Te,I,null),t(I,br),x(Fe,I,null),u(e,Fs,g),u(e,A,g),x(yt,A,null),t(A,wr),t(A,bt),t(bt,xr),t(bt,Ia),t(Ia,kr),t(bt,Er),t(A,Dr),x(Pe,A,null),t(A,Nr),x(Ie,A,null),u(e,Ps,g),u(e,X,g),x(wt,X,null),t(X,jr),t(X,Aa),t(Aa,Cr),t(X,Sr),x(Ae,X,null),u(e,Is,g),u(e,se,g),t(se,Le),t(Le,La),x(xt,La,null),t(se,qr),t(se,Ha),t(Ha,Or),u(e,As,g),u(e,Jt,g),t(Jt,Tr),u(e,Ls,g),u(e,He,g),t(He,zt),t(zt,Fr),t(zt,Ua),t(Ua,Pr),t(He,Ir),t(He,Yt),t(Yt,Ar),t(Yt,Va),t(Va,Lr),u(e,Hs,g),u(e,H,g),t(H,Hr),t(H,Ma),t(Ma,Ur),t(H,Vr),t(H,Ba),t(Ba,Mr),t(H,Br),t(H,Gt),t(Gt,Rr),t(H,Jr),u(e,Us,g),x(kt,e,g),u(e,Vs,g),u(e,oe,g),t(oe,Ue),t(Ue,Ra),x(Et,Ra,null),t(oe,zr),t(oe,Ja),t(Ja,Yr),u(e,Ms,g),u(e,ne,g),x(Dt,ne,null),t(ne,Gr),t(ne,za),t(za,Xr),u(e,Bs,g),u(e,re,g),t(re,Ve),t(Ve,Ya),x(Nt,Ya,null),t(re,Qr),t(re,Ga),t(Ga,Wr),u(e,Rs,g),u(e,ie,g),x(jt,ie,null),t(ie,Kr),t(ie,Xa),t(Xa,Zr),u(e,Js,g),u(e,de,g),t(de,Me),t(Me,Qa),x(Ct,Qa,null),t(de,ei),t(de,Wa),t(Wa,ti),u(e,zs,g),u(e,le,g),x(St,le,null),t(le,ai),t(le,Ka),t(Ka,si),u(e,Ys,g),u(e,ce,g),t(ce,Be),t(Be,Za),x(qt,Za,null),t(ce,oi),t(ce,es),t(es,ni),u(e,Gs,g),u(e,pe,g),x(Ot,pe,null),t(pe,ri),t(pe,ts),t(ts,ii),u(e,Xs,g),u(e,fe,g),t(fe,Re),t(Re,as),x(Tt,as,null),t(fe,di),t(fe,ss),t(ss,li),u(e,Qs,g),u(e,me,g),x(Ft,me,null),t(me,ci),t(me,os),t(os,pi),u(e,Ws,g),u(e,ge,g),t(ge,Je),t(Je,ns),x(Pt,ns,null),t(ge,fi),t(ge,rs),t(rs,mi),u(e,Ks,g),u(e,he,g),x(It,he,null),t(he,gi),t(he,is),t(is,hi),u(e,Zs,g),u(e,ue,g),t(ue,ze),t(ze,ds),x(At,ds,null),t(ue,ui),t(ue,ls),t(ls,_i),u(e,eo,g),u(e,_e,g),x(Lt,_e,null),t(_e,vi),t(_e,cs),t(cs,$i),to=!0},p(e,[g]){const Ht={};g&2&&(Ht.$$scope={dirty:g,ctx:e}),be.$set(Ht);const ps={};g&2&&(ps.$$scope={dirty:g,ctx:e}),we.$set(ps);const fs={};g&2&&(fs.$$scope={dirty:g,ctx:e}),xe.$set(fs);const ms={};g&2&&(ms.$$scope={dirty:g,ctx:e}),ke.$set(ms);const gs={};g&2&&(gs.$$scope={dirty:g,ctx:e}),Ee.$set(gs);const Ut={};g&2&&(Ut.$$scope={dirty:g,ctx:e}),De.$set(Ut);const hs={};g&2&&(hs.$$scope={dirty:g,ctx:e}),Ne.$set(hs);const us={};g&2&&(us.$$scope={dirty:g,ctx:e}),je.$set(us);const _s={};g&2&&(_s.$$scope={dirty:g,ctx:e}),Ce.$set(_s);const ve={};g&2&&(ve.$$scope={dirty:g,ctx:e}),Se.$set(ve);const vs={};g&2&&(vs.$$scope={dirty:g,ctx:e}),Oe.$set(vs);const q={};g&2&&(q.$$scope={dirty:g,ctx:e}),Te.$set(q);const $s={};g&2&&($s.$$scope={dirty:g,ctx:e}),Fe.$set($s);const $e={};g&2&&($e.$$scope={dirty:g,ctx:e}),Pe.$set($e);const ys={};g&2&&(ys.$$scope={dirty:g,ctx:e}),Ie.$set(ys);const bs={};g&2&&(bs.$$scope={dirty:g,ctx:e}),Ae.$set(bs)},i(e){to||(k(s.$$.fragment,e),k(Ke.$$.fragment,e),k(Ze.$$.fragment,e),k(be.$$.fragment,e),k(et.$$.fragment,e),k(we.$$.fragment,e),k(xe.$$.fragment,e),k(ke.$$.fragment,e),k(Ee.$$.fragment,e),k(ct.$$.fragment,e),k(De.$$.fragment,e),k(pt.$$.fragment,e),k(Ne.$$.fragment,e),k(gt.$$.fragment,e),k(je.$$.fragment,e),k(ht.$$.fragment,e),k(Ce.$$.fragment,e),k(ut.$$.fragment,e),k(Se.$$.fragment,e),k(_t.$$.fragment,e),k(vt.$$.fragment,e),k(Oe.$$.fragment,e),k($t.$$.fragment,e),k(Te.$$.fragment,e),k(Fe.$$.fragment,e),k(yt.$$.fragment,e),k(Pe.$$.fragment,e),k(Ie.$$.fragment,e),k(wt.$$.fragment,e),k(Ae.$$.fragment,e),k(xt.$$.fragment,e),k(kt.$$.fragment,e),k(Et.$$.fragment,e),k(Dt.$$.fragment,e),k(Nt.$$.fragment,e),k(jt.$$.fragment,e),k(Ct.$$.fragment,e),k(St.$$.fragment,e),k(qt.$$.fragment,e),k(Ot.$$.fragment,e),k(Tt.$$.fragment,e),k(Ft.$$.fragment,e),k(Pt.$$.fragment,e),k(It.$$.fragment,e),k(At.$$.fragment,e),k(Lt.$$.fragment,e),to=!0)},o(e){E(s.$$.fragment,e),E(Ke.$$.fragment,e),E(Ze.$$.fragment,e),E(be.$$.fragment,e),E(et.$$.fragment,e),E(we.$$.fragment,e),E(xe.$$.fragment,e),E(ke.$$.fragment,e),E(Ee.$$.fragment,e),E(ct.$$.fragment,e),E(De.$$.fragment,e),E(pt.$$.fragment,e),E(Ne.$$.fragment,e),E(gt.$$.fragment,e),E(je.$$.fragment,e),E(ht.$$.fragment,e),E(Ce.$$.fragment,e),E(ut.$$.fragment,e),E(Se.$$.fragment,e),E(_t.$$.fragment,e),E(vt.$$.fragment,e),E(Oe.$$.fragment,e),E($t.$$.fragment,e),E(Te.$$.fragment,e),E(Fe.$$.fragment,e),E(yt.$$.fragment,e),E(Pe.$$.fragment,e),E(Ie.$$.fragment,e),E(wt.$$.fragment,e),E(Ae.$$.fragment,e),E(xt.$$.fragment,e),E(kt.$$.fragment,e),E(Et.$$.fragment,e),E(Dt.$$.fragment,e),E(Nt.$$.fragment,e),E(jt.$$.fragment,e),E(Ct.$$.fragment,e),E(St.$$.fragment,e),E(qt.$$.fragment,e),E(Ot.$$.fragment,e),E(Tt.$$.fragment,e),E(Ft.$$.fragment,e),E(Pt.$$.fragment,e),E(It.$$.fragment,e),E(At.$$.fragment,e),E(Lt.$$.fragment,e),to=!1},d(e){a(i),e&&a($),e&&a(h),D(s),e&&a(S),e&&a(O),e&&a(ws),e&&a(W),D(Ke),e&&a(xs),e&&a(M),D(Ze),D(be),e&&a(ks),e&&a(C),D(et),D(we),D(xe),D(ke),D(Ee),e&&a(Es),e&&a(R),D(ct),D(De),e&&a(Ds),e&&a(T),D(pt),D(Ne),e&&a(Ns),e&&a(z),D(gt),D(je),e&&a(js),e&&a(Y),D(ht),D(Ce),e&&a(Cs),e&&a(G),D(ut),D(Se),e&&a(Ss),e&&a(te),D(_t),e&&a(qs),e&&a(ae),D(vt),e&&a(Os),D(Oe,e),e&&a(Ts),e&&a(I),D($t),D(Te),D(Fe),e&&a(Fs),e&&a(A),D(yt),D(Pe),D(Ie),e&&a(Ps),e&&a(X),D(wt),D(Ae),e&&a(Is),e&&a(se),D(xt),e&&a(As),e&&a(Jt),e&&a(Ls),e&&a(He),e&&a(Hs),e&&a(H),e&&a(Us),D(kt,e),e&&a(Vs),e&&a(oe),D(Et),e&&a(Ms),e&&a(ne),D(Dt),e&&a(Bs),e&&a(re),D(Nt),e&&a(Rs),e&&a(ie),D(jt),e&&a(Js),e&&a(de),D(Ct),e&&a(zs),e&&a(le),D(St),e&&a(Ys),e&&a(ce),D(qt),e&&a(Gs),e&&a(pe),D(Ot),e&&a(Xs),e&&a(fe),D(Tt),e&&a(Qs),e&&a(me),D(Ft),e&&a(Ws),e&&a(ge),D(Pt),e&&a(Ks),e&&a(he),D(It),e&&a(Zs),e&&a(ue),D(At),e&&a(eo),e&&a(_e),D(Lt)}}}const ml={local:"loading-methods",sections:[{local:"datasets.list_datasets",title:"Datasets"},{local:"datasets.list_metrics",title:"Metrics"},{local:"from-files",sections:[{local:"datasets.packaged_modules.text.TextConfig",title:"Text"},{local:"datasets.packaged_modules.csv.CsvConfig",title:"CSV"},{local:"datasets.packaged_modules.json.JsonConfig",title:"JSON"},{local:"datasets.packaged_modules.parquet.ParquetConfig",title:"Parquet"},{local:"datasets.packaged_modules.sql.SqlConfig",title:"SQL"},{local:"datasets.packaged_modules.imagefolder.ImageFolderConfig",title:"Images"},{local:"datasets.packaged_modules.audiofolder.AudioFolderConfig",title:"Audio"}],title:"From files"}],title:"Loading methods"};function gl(j){return Gd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class wl extends Rd{constructor(i){super();Jd(this,i,gl,fl,zd,{})}}export{wl as default,ml as metadata};
